Subject: dhcpd and ddyn-updates

From: Michael Richardson <[email-masked]>
Date: Fri, 15 Mar 2002 09:22:10 -0600

I'm trying to follow the instructions at 

http://ops.ietf.org/dns/dynupd/secure-ddns-howto.html#reverse

  I'm testing with NetBSD 1.5.1 laptop with NetBSD 1.5 installed on a
VMware in my hotel room. I'm running:

marajade-[~] root 97 #dhcpd vmnet1
Internet Software Consortium DHCP Server V3.0rc10

and

marajade-[~] root 98 #dhclient -V
Internet Software Consortium DHCP Client V3.0rc10

{See below}

(built from NetBSD /usr/src/ -current). The dhclient in 1.5 has been replaced 
with the compiled version.

Mar 14 10:57:50 marajade named[11686]: journal file db.212.16.172.in-addr.arpa.jnl does not exist, creating it
Mar 14 10:57:50 marajade dhcpd: delete IN PTR 253.212.16.172.in-addr.arpa. add 300 IN PTR 253.212.16.172.in-addr.arpa. leia.dasblinkenled.o: success.
Mar 14 10:57:50 marajade named[11686]: zone 212.16.172.IN-ADDR.ARPA/IN: sending notifies (serial 200202202)
Mar 14 10:57:50 marajade dhcpd: DHCPREQUEST for 172.16.212.253 from 00:50:56:eb:55:d3 via vmnet1
Mar 14 10:57:50 marajade dhcpd: DHCPACK on 172.16.212.253 to 00:50:56:eb:55:d3 via vmnet1

send fqdn.fqdn "leia.dasblinkenled.org.";
send fqdn.encoded on;
send fqdn.server-update off;

It should be creating the reverse name "leia.dasblinkenled.org", but in fact
it creates the name "leia.dasblinkenled.o.:

Mar 14 12:33:25.371 update: info: client 172.16.212.1#64565: updating zone '212.16.172.IN-ADDR.ARPA/IN': deleting an rrset
Mar 14 12:33:25.396 update: info: client 172.16.212.1#64565: updating zone '212.16.172.IN-ADDR.ARPA/IN': adding an RR

marajade-[/etc/namedb] root 135 #host 172.16.212.254       
Name: leia.dasblinkenled.o
Address: 172.16.212.254

So, I tried to shorten things as leia.ox.org, but again, the last two got
cut:

Mar 14 12:55:07.501 update: info: client 172.16.212.1#64562: updating zone '212.16.172.IN-ADDR.ARPA/IN': deleting an rrset
Mar 14 12:55:07.511 update: info: client 172.16.212.1#64562: updating zone '212.16.172.IN-ADDR.ARPA/IN': adding an RR

marajade-[/etc/namedb] root 136 #host 172.16.212.254
Name: leia.ox.o
Address: 172.16.212.254

  After some futzing, I installed DHCP 3.0 (rather than rc10) and got the
same thing.
  I am now running DHCP 3.0.1rc8, and I am successful.

  Ted: I didn't see anything in the release notes about this problem.
  THE DOCUMENT DOES SAY THAT I NEED RC7. It would be nice if the document
would tell me WHY I need RC7 so that I can clue in to this.

{other comments.

My problems with forward are gone:

marajade-[~] mcr 1137 %host marajade.dasblinkenled.org
marajade.dasblinkenled.org has address 12.162.212.183

[yes, the #53 hotel ADSL has real IP in the rooms]

  I never did get dhclient to successfully update stuff. It complained
about the TSIG values being wrong... I gave up and used nsupdate, which is a
better solution for me anyway, since I can call it with the rest of the stuff 
that I call from dhclient-exit-hooks and PPP's ip-up.

  I will be upgrading my bind to a snapshot later today to try SIG(0)
support. If someone wants to do TSIG now or SIG(0) later within
dasblinkenled.org, just drop me a PGP/GPG message with a key.  }

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another NetBSD/notebook using, kernel hacking, security guy");  [